<?php

/* DCMS Special
 * Дата последнего редактирования 16.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();

if (isset($_POST['add_w']) && isset($_POST['nick']) && isset($_POST['mdp']) && $_POST['mdp'] == $user['pass']) {
    $nick = htmlspecialchars($_POST['nick']);
    $ank = $db->get_array($db->query("SELECT * FROM `user` WHERE `nick` = '$nick'"));
    header("Location:?add=$ank[id]");
    exit;
}

if (isset($_GET['add'])) {
    $set['title'] = lang("Чёрный список - Добавление");

    require_once H . 'sys/inc/thead.php';

    aut();

    $ank = get_user(intval($_GET['add']));
    if (!$ank || $ank['id'] == 0) {
        echo "<div class='alert alert-danger'>" . lang('Пользователь не обнаружен') . "!</div>";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }
    if ($ank['id'] == $user['id']) {
        echo "<div class = 'alert alert-danger'>" . lang('Нельзя добавлять себя в свой Чёрный список') . "</div>";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }

    $k = $db->super_query("SELECT COUNT(*) as count FROM `user_blacklist` WHERE `id_user` = '$user[id]' AND `id_ank` = '$ank[id]'");
    if ($k['count'] != 0) {
        $id = $db->get_array($db->query("SELECT * FROM `user_blacklist` WHERE `id_user` = '$user[id]' AND `id_ank` = '$ank[id]'"));
        header("Location:?id=$id[id]");
        exit;
    }
    if (isset($_POST['ok']) && isset($_POST['msg']) && isset($_POST['mdp']) && $_POST['mdp'] == $user['pass']) {
        if (utf8_strlen($_POST['msg']) < 1) {
            $err[] = lang('Укажите причину');
        }
        if (utf8_strlen($_POST['msg']) > 200) {
            $err[] = lang('Причина слишком длинная');
        }
        $tt = $_POST['time_to'];
        if ($tt == 1 || $tt == 6 || $tt == 24 || $tt == 120 || $tt == 'forever') {
            if ($tt == 'forever') {
                $forever = 1;
            } else {
                $time_to = $time + ($tt * 3600);
            }
        } else {
            $err[] = lang('Техническая ошибка');
        }
        if (!isset($err)) {
            $db->query("INSERT INTO `user_blacklist` SET `id_user` = '$user[id]', `id_ank` = '$ank[id]', `time` = '$time', `msg` = '" . $db->safesql($_POST['msg']) . "'" . (isset($forever) ? ", `forever` = '1'" : ", `time_to` = '$time_to'") . "");
            header("Location:?");
        }
    }
    err();

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/id$user[id]'>$user[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/user/blacklist/'>" . lang('Черный список') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "$ank[nick]";
    echo "</small></div><br />";

    echo "<form class = 'list-group-item-null' name = 'black' method = 'POST' action = '?add=$ank[id]'>";
    echo "<b>" . lang('Пользователь') . "</b> ";
    echo gradient("$ank[nick] ", "$ank[ncolor]", "$ank[ncolor2]");
    echo "<br />";
    echo lang('Причина') . "<br />";
    echo "<input type = 'hidden' name = 'mdp' value = '$user[pass]'/>";
    echo "<textarea class='form-control' rows='3' name='msg'></textarea>";

    echo lang('Срок') . "<br />";
    echo "<select class='form-control' name='time_to'>";
    echo "<option value='1' selected='selected'>1 ч.</option>";
    echo "<option value='6'>6 ч.</option>";
    echo "<option value='24'>24 ч.</option>";
    echo "<option value='120'>120 ч.</option>";
    echo "<option value='forever'>" . lang('Навсегда') . "</option>";
    echo "</select><br />";

    $doc->Button('btn btn-success btn-sm', 'ok', 'save', 'Сохранить');

    echo "</form>";

    $doc->Link('list-group-item-null', "/info.php?id=$ank[id]", 'arrow-left', "$ank[nick]");

    require_once H . 'sys/inc/tfoot.php';
    exit;
} elseif (isset($_GET['del'])) {

    $k_post = $db->super_query("SELECT COUNT(*) as count FROM `user_blacklist` WHERE `id` = '" . intval($_GET['del']) . "' AND `id_user` = '$user[id]'");
    if ($k_post['count'] != 0) {

        $db->query("DELETE FROM `user_blacklist` WHERE `id` = '" . intval($_GET['del']) . "' AND `id_user` = '$user[id]'");
        header("Location:?");
        exit;
    }
} elseif (isset($_GET['id'])) {
    $k_post = $db->super_query("SELECT COUNT(*) as count FROM `user_blacklist` WHERE `id` = '" . intval($_GET['id']) . "' AND `id_user` = '$user[id]'");
    if ($k_post['count'] != 0) {
        $set['title'] = lang("Чёрный список");

        require_once H . 'sys/inc/thead.php';

        aut();

        $id = $db->get_array($db->query("SELECT * FROM `user_blacklist` WHERE `id` = '" . intval($_GET['id']) . "' AND `id_user` = '$user[id]'"));
        $ank = get_user($id['id_ank']);
        $tt = $id['time_to'] - TIME;

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/id$user[id]'>$user[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/blacklist/'>" . lang('Черный список') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "$ank[nick]";
        echo "</small></div><br />";

        echo "<div class='list-group-item-null'>";
        echo lang('Пользователь') . ": ";
        echo gradient("$ank[nick] ", "$ank[ncolor]", "$ank[ncolor2]");
        echo "<br/>";
        echo "<a style='float:right;' href='?del=$id[id]' title = '" . lang('Удалить из списка') . "'><i class='fa fa-trash-o fa-fw'></i></a>";
        echo lang('Причина') . ": " . toOutput($id['msg']) . "<br />";
        echo ($id['forever'] == 0 ? "" . lang('Осталось') . ": $tt " . lang('сек') . "" : " " . lang('Заблокирован навсегда') . "") . "<br/>";
        echo "</div>";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }
}

$set['title'] = lang("Чёрный список");

require_once H . 'sys/inc/thead.php';

aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/id$user[id]'>$user[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Черный список');
echo "</small></div><br />";

echo "<form class='list-group-item-null list-group-item-grey' method = 'post'>";
echo lang('Введите логин пользователя, которого хотите добавить') . "<br/>";
echo "<input type='hidden' name='mdp' value='$user[pass]' />";
echo "<input class='form-control' style='width: 50%;' required type='text' name='nick' value='' /><br />";

$doc->Button('btn btn-success btn-sm', 'add_w', 'user-plus', 'Внести в список');

echo "</form>";

$k_post = $db->super_query("SELECT COUNT(*) as count FROM `user_blacklist` WHERE `id_user` = '$user[id]'");
$k_post = $k_post['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = $db->query("SELECT * FROM `user_blacklist` WHERE `id_user` = '$user[id]' ORDER BY `time` ASC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    $doc->NoResult();
}
while ($post = $db->get_array($q)) {

    $an = $db->get_array($db->query("SELECT * FROM `user` WHERE `id` = '$post[id_ank]'"));

    echo "<table class='list-group-item-null'><tr><td class = 'icon14'>";
    avatar($an['id'], '35', 'border-radius: 2px;');
    echo "</td><td class='null'>";
    echo "<span style='float:right;'><a href='?del=$post[id]' class='hint--left' data-hint='" . lang('Удалить из списка') . "'><i class='fa fa-trash-o fa-fw'></i></a></span>";
    echo "<a href='?id=$post[id]'><b>";
    echo gradient("$an[nick] ", "$an[ncolor]", "$an[ncolor2]");
    echo "</b></a>";
    echo "</td></tr></table>\n";
    echo "<div class='hr'></div>";
}
if ($k_page > 1) {
    str("?", $k_page, $page);
}

require_once H . 'sys/inc/tfoot.php';
exit;

